From 5d9f271736ea1ee23e8af3c8f2b981fbd191a54c Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Fri, 27 Mar 2020 19:18:38 -0400
Subject: [PATCH 5/5] gnu: packages: linphone: Add bctoolbox

* gnu/packages/linphone.scm (bctoolbox): New variable.
---
 gnu/packages/linphone.scm | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/gnu/packages/linphone.scm b/gnu/packages/linphone.scm
index 974fc62792..551e64e748 100644
--- a/gnu/packages/linphone.scm
+++ b/gnu/packages/linphone.scm
@@ -21,6 +21,8 @@
   #:use-module (gnu packages)
   #:use-module (gnu packages base)
   #:use-module (gnu packages ncurses)
+  #:use-module (gnu packages pth)
+  #:use-module (gnu packages tls)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
   #:use-module (guix download)
@@ -66,3 +68,38 @@ with several fixes and patches applied.  It is an unit testing
 framework for writing, administering, and running unit tests in C.")
  (home-page "https://gitlab.linphone.org/BC/public/bcunit")
  (license license:lgpl2.0+)))
+
+(define-public bctoolbox
+ (package
+  (name "bctoolbox")
+   (version "0.6.0")
+   (source
+    (origin
+     (method url-fetch)
+     (uri
+      (string-append "https://www.linphone.org/releases/sources/" name
+                     "/" name "-" version ".tar.gz"))
+     (sha256
+      (base32 "1a1i70pb4hhnykkwyhhc7fv67q556l8kprny8xzgfqpj1nby2ms6"))))
+ (build-system cmake-build-system)
+ (arguments
+  '(#:tests? #f ; No test target
+    #:configure-flags
+     (list
+      "-DENABLE_SHARED=ON"
+      "-DENABLE_STATIC=ON"
+      "-DENABLE_POLARSSL=OFF" ; Deprecated in favor of MbedTLS
+      "-DENABLE_MBEDTLS=ON"
+      "-DENABLE_STRICT=YES"
+      "-DENABLE_TESTS_COMPONENT=ON"
+      "-DENABLE_TESTS=ON")))
+ (inputs
+  `(("mbedtls" ,mbedtls-apache)
+    ("threads" ,pth)))
+ (propagated-inputs
+  `(("bcunit" ,bcunit)))
+ (synopsis "Belledonne Communications Tool Box")
+ (description "BcToolBox is an utilities library used by Belledonne
+Communications softwares like belle-sip, mediastreamer2 and linphone.")
+ (home-page "https://gitlab.linphone.org/BC/public/bctoolbox")
+ (license license:gpl2+)))
-- 
2.26.0

